{ --------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.               }
{ (c) 2006-2010 FreeXP, http://www.freexp.de                      }
{ CrossPoint ist eine eingetragene Marke von Peter Mandrella.     }
{                                                                 }
{ Die Nutzungsbedingungen fuer diesen Quelltext finden Sie in der }
{ Datei SLIZENZ.TXT oder auf www.crosspoint.de/oldlicense.html.   }
{ --------------------------------------------------------------- }
{ $Id: servers.pas,v 1.12 2010/06/27 09:32:13 mw Exp $ }

{$I XPDEFINE.INC }
{$O+,F+}
unit servers;

interface

procedure renew_Servers;

implementation

uses xp0,fileio,typeform,md5;

procedure renew_Servers;

var f,g:text;           
    t:string;

const servers:string='SERVERS.DAT';

{Alte Versionen der SERVERS.DAT in Includedatei eintragen}

{$I SERVERS.INC} 

    function outdated(f:string):boolean;

    var i:integer;
        StrDigest: string[32];

    begin
      {MD5-Summe der SERVERS.DAT berechnen}
      StrDigest:=md5sum_file(servers);
      {MD5-Summe gegen alle alten SERVERS.DAT vergleichen}
      outdated:=false;
      for i:=1 to oldfile do
      if UStr(oldfiles[i])=StrDigest then
      begin
        outdated:=true;
        break;
      end;
    end;

begin
  assign(f,servers);

  {Existiert die SERVERS.DAT nicht oder ist sie veraltet?       }
  {Unbekannte (=Uservernderte) SERVERS.DAT gelten automatisch  }
  {als aktuell                                                  }
  if (not existf(f)) or (outdated(servers)) then begin
    case ParLanguage[1] of
      'E' : assign(g,'SAMPLES\'+servers);   {Englische SERVERS.DAT}
      'D' : assign(g,'BEISPIEL\'+servers);  {Deutsche SERVERS.DAT}
    else
      assign(g,'SAMPLES\'+servers);         {Rckfallebene ist die englische SERVERS.DAT} 
    end;
    if not existf(g) then assign(g,'BEISPIEL\'+servers);  {Benutze wenn keine }
                                            {sprachspezifische Datei vorhanden die deutsche }
                                            {SERVERS.DAT}
    if existf(g) then begin                 {Teste auf Existenz der Distributions-SERVERS.DAT}
      reset(g);
      rewrite(f);
      while not eof(g) do begin             {berschreibe die SERVERS.DAT im XP-Verzeichnis}
        readln(g,t);    
        writeln(f,t);
      end;
      close(f);
      close(g);
    end;
  end;
end;

begin
end.
{
  $Log: servers.pas,v $
  Revision 1.12  2010/06/27 09:32:13  mw
  - Release 3.42 (27.06.2010)

  Revision 1.11  2008/12/26 18:37:14  mw
  - Aktualisierung auf Version 3.45

  Revision 1.10  2008-01-01 20:59:25  mw
  MW: - Frohes neues Jahr 2008

  Revision 1.9  2007/01/23 16:16:42  mw
  MW: - Neues Jahr 2007

  Revision 1.8  2006/03/31 08:55:34  mw
  MW: - Anpassung an md5.pas 3.09fxp3

  Revision 1.7  2006/03/30 07:30:07  mw
  MW: - Vergessener Debugcode entfernt.

  Revision 1.6  2006/03/30 07:17:45  mw
  MW: - Kosmetikkorrektur

  Revision 1.5  2006/03/30 07:12:58  mw
  MW: - Vereinfachung der SERVERS-Unit durch Benutzung von md5.md5sum()
        und damit Weglassen allen doppelt aufgefhrten Codes.

  Revision 1.3  2006/02/25 18:25:52  mw
  MW: - Bugfixing von Servers.dat : Es wurde eine leere Servers.dat erzeugt,
        wenn keine Servers.dat existierte.

  Revision 1.1  2006/02/25 12:42:48  mw
  MW: - Die Liste der Mail- und News-Server SERVERS.DAT wird jetzt
        automatisch aktualiert, sofern der Benutzer die Datei nicht
        modifiziert hat. Dabei wird soweit mglich auch die Sprach-
        einstellung bercksichtig.

}
